AlgorithmNameFinder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.operator

## Interface AlgorithmNameFinder

- All Known Implementing Classes:
    DefaultAlgorithmNameFinder

      public interface AlgorithmNameFinder

  General finder for converting OIDs and AlgorithmIdentifiers into strings.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithmName(org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)` Return a string representation of the passed in AlgorithmIdentifier, based on the OID in the AlgorithmField, with the parameters included where appropriate.
    `java.lang.String` | `getAlgorithmName(org.bouncycastle.asn1.ASN1ObjectIdentifier objectIdentifier)` Return a string representation of the passed in objectIdentifier.
    `boolean` | `hasAlgorithmName(org.bouncycastle.asn1.ASN1ObjectIdentifier objectIdentifier)` Return true if the passed in objectIdentifier has a "human friendly" name associated with it.

- - ### Method Detail

    - #### hasAlgorithmName

          boolean hasAlgorithmName(org.bouncycastle.asn1.ASN1ObjectIdentifier objectIdentifier)

      Return true if the passed in objectIdentifier has a "human friendly" name associated with it.
      Parameters:
        `objectIdentifier` - the OID of interest.
      Returns:
        true if a name lookup exists for the OID, false otherwise.

    - #### getAlgorithmName

          java.lang.String getAlgorithmName(org.bouncycastle.asn1.ASN1ObjectIdentifier objectIdentifier)

      Return a string representation of the passed in objectIdentifier.
      Parameters:
        `objectIdentifier` - the OID of interest.
      Returns:
        a "human friendly" representation of the OID, the OID as a string if none available.

    - #### getAlgorithmName

          java.lang.String getAlgorithmName(org.bouncycastle.asn1.x509.AlgorithmIdentifier algorithmIdentifier)

      Return a string representation of the passed in AlgorithmIdentifier, based on the OID in the AlgorithmField, with the parameters included where appropriate.
      Parameters:
        `algorithmIdentifier` - the AlgorithmIdentifier of interest.
      Returns:
        a "human friendly" representation of the algorithmIdentifier, the identifiers OID as a string if none available.